package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.RoleDTO;
import io.hmit.modules.fhjw.entity.RoleEntity;
import io.hmit.modules.sys.dto.SysRoleDTO;

import java.util.List;
import java.util.Map;

/**
 * 用户权限
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
public interface RoleService extends CrudService<RoleEntity, RoleDTO> {
    @Override
    PageData<RoleDTO> page(Map<String, Object> params);

    List<RoleDTO> getAllRoleList ();

    @Override
    void save(RoleDTO dto);

    @Override
    void update(RoleDTO dto);

    @Override
    void delete(Long[] ids);

    @Override
    RoleDTO get(Long id);

    Long getIdByRoleName(String roleName);
}
